<?php declare(strict_types = 1);

namespace Itdatex\Rechnungseingang\Vendor\PHPStan\PhpDocParser\Ast\Type;

use Itdatex\Rechnungseingang\Vendor\PHPStan\PhpDocParser\Ast\NodeAttributes;

class ThisTypeNode implements TypeNode
{

	use NodeAttributes;

	public function __toString(): string
	{
		return '$this';
	}

}
